Package org.jboss.resteasy.core.interception.jaxrs

## Class PostMatchContainerRequestContext

- java.lang.Object
- - org.jboss.resteasy.core.interception.jaxrs.PreMatchContainerRequestContext
  - - org.jboss.resteasy.core.interception.jaxrs.PostMatchContainerRequestContext

- All Implemented Interfaces:
    `javax.ws.rs.container.ContainerRequestContext`, `SuspendableContainerRequestContext`

      public class PostMatchContainerRequestContext
      extends PreMatchContainerRequestContext

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected ResourceMethodInvoker` | `resourceMethod` |

    - ### Fields inherited from class org.jboss.resteasy.core.interception.jaxrs.PreMatchContainerRequestContext

      `httpRequest, response`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PostMatchContainerRequestContext​(HttpRequest request, ResourceMethodInvoker resourceMethod)` | Deprecated.
    `PostMatchContainerRequestContext​(HttpRequest request, ResourceMethodInvoker resourceMethod, javax.ws.rs.container.ContainerRequestFilter[] requestFilters, Supplier<BuiltResponse> continuation)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResourceMethodInvoker` | `getResourceMethod()` |
    `void` | `setMethod​(String method)` |
    `void` | `setRequestUri​(URI requestUri)` |
    `void` | `setRequestUri​(URI baseUri, URI requestUri)` |

    - ### Methods inherited from class org.jboss.resteasy.core.interception.jaxrs.PreMatchContainerRequestContext

      `abortWith, filter, getAcceptableLanguages, getAcceptableMediaTypes, getCookies, getDate, getEntityStream, getHeaders, getHeaderString, getHttpRequest, getLanguage, getLength, getMediaType, getMethod, getProperty, getPropertyNames, getRequest, getResponseAbortedWith, getSecurityContext, getUriInfo, hasEntity, removeProperty, resume, resume, setEntityStream, setProperty, setSecurityContext, startedContinuation, suspend`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceMethod

          protected final ResourceMethodInvoker resourceMethod

  - ### Constructor Detail

    - #### PostMatchContainerRequestContext

          @Deprecated
          public PostMatchContainerRequestContext​(HttpRequest request,
                                                  ResourceMethodInvoker resourceMethod)

      Deprecated.

    - #### PostMatchContainerRequestContext

          public PostMatchContainerRequestContext​(HttpRequest request,
                                                  ResourceMethodInvoker resourceMethod,
                                                  javax.ws.rs.container.ContainerRequestFilter[] requestFilters,
                                                  Supplier<BuiltResponse> continuation)

  - ### Method Detail

    - #### getResourceMethod

          public ResourceMethodInvoker getResourceMethod()

    - #### setMethod

          public void setMethod​(String method)

      Specified by:
        `setMethod` in interface `javax.ws.rs.container.ContainerRequestContext`
      Overrides:
        `setMethod` in class `PreMatchContainerRequestContext`

    - #### setRequestUri

          public void setRequestUri​(URI requestUri)
                             throws IllegalStateException

      Specified by:
        `setRequestUri` in interface `javax.ws.rs.container.ContainerRequestContext`
      Overrides:
        `setRequestUri` in class `PreMatchContainerRequestContext`
      Throws:
        `IllegalStateException`

    - #### setRequestUri

          public void setRequestUri​(URI baseUri,
                                    URI requestUri)
                             throws IllegalStateException

      Specified by:
        `setRequestUri` in interface `javax.ws.rs.container.ContainerRequestContext`
      Overrides:
        `setRequestUri` in class `PreMatchContainerRequestContext`
      Throws:
        `IllegalStateException`